import { Component, OnInit } from '@angular/core';
import { IonicPage, NavController, NavParams } from 'ionic-angular';
import { AppData } from '../../models/app-data';
import { AppModel } from '../../models/app-model';
import { DomSanitizer } from '@angular/platform-browser';

/**
 * Generated class for the AppInfoPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-app-info',
  templateUrl: 'app-info.html',
})
export class AppInfoPage implements OnInit {

  toggleState: boolean = false;
  location: any;

  constructor(public navCtrl: NavController, 
              public navParams: NavParams,
              public appData: AppData,
              public ds: DomSanitizer
            ) {
  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad AppInfoPage');
  }

  ngOnInit() {
    console.log('on init');
    this.loadData();
  }

  loadData() {

  }

  goToStart() {
    // this.app.getRootNav().setRoot(IssueHandlerPage);
    // this.navCtrl.setRoot(IssueHandlerPage);
    // this.navCtrl.push(IssueHandlerPage);

    this.navCtrl.pop();

  }
  
}
