import { NgModule } from '@angular/core';
import { IonicPageModule } from 'ionic-angular';
import { IssueHandlerPage } from './issue-handler';

import { GuiUtilComponent } from '../../components/gui-util/gui-util';
import { ComponentsModule } from '../../components/components.module';
import { SummaryPageModule } from '../summary/summary.module';
import { PhotoPageModule } from '../photo/photo.module';
import { DescriptionPageModule } from '../description/description.module';
import { HazardsPageModule } from '../hazards/hazards.module';
import { DescriptionPage } from '../description/description';
import { PhotoPage } from '../photo/photo';
import { HazardsPage } from '../hazards/hazards';
import { SummaryPage } from '../summary/summary';

// import { DescriptionComponent } from '../../components/description/description';
// import { TakePhotoComponent } from '../../components/take-photo/take-photo';
// import { SummaryComponent } from '../../components/summary/summary';
// import { HazardsComponent } from '../../components/hazards/hazards';


@NgModule({
  declarations: [
    IssueHandlerPage,
  ],
  imports: [
    IonicPageModule.forChild(IssueHandlerPage),
    ComponentsModule,
    SummaryPageModule,
    PhotoPageModule,
    DescriptionPageModule,
    HazardsPageModule
  ],
  // providers: [
  //   Camera
  // ],  
  entryComponents: [
    // TakePhotoComponent,
    // SummaryComponent,
    // DescriptionComponent,
    // HazardsComponent,
  ],
  exports: [
    IssueHandlerPage
  ]
})
export class IssueHandlerPageModule {}
