import { NgModule } from '@angular/core';
import { GuiUtilComponent } from './gui-util/gui-util';
import { CmdMenu } from './cmd-menu/cmd-menu';
// import { DescriptionComponent } from './description/description';
// import { HazardsComponent } from './hazards/hazards';
import { ShowPhotoComponent } from './show-photo/show-photo';
// import { SummaryComponent } from './summary/summary';
// import { TakePhotoComponent } from './take-photo/take-photo';
import { IonicModule } from 'ionic-angular';
import { ProfilePageModule } from '../pages/profile/profile.module';
import { ShowDetailComponent } from './show-detail/show-detail';

@NgModule({
	declarations: [
		CmdMenu,
		GuiUtilComponent,
		ShowPhotoComponent,
    ShowDetailComponent
		// DescriptionComponent,
		// HazardsComponent,
		// SummaryComponent,
		// TakePhotoComponent
	],
	imports: [IonicModule	],
  // entryComponents: [
  //   ProfilePageModule,
	// ],
	exports: [
		CmdMenu,
		GuiUtilComponent,
		ShowPhotoComponent,
    ShowDetailComponent
		// DescriptionComponent,
		// HazardsComponent,
		// SummaryComponent,
		// TakePhotoComponent
	]
})
export class ComponentsModule {}
