import { Component } from '@angular/core';
import { ViewController } from 'ionic-angular';
import { MapService } from '../../providers/map-service'

/**
 * Generated class for the SettingsMenu component.
 *
 * See https://angular.io/docs/ts/latest/api/core/index/ComponentMetadata-class.html
 * for more info on Angular Components.
 */
@Component({
  selector: 'settings-menu',
  templateUrl: 'settings-menu.html'
})
export class SettingsMenu {

  text: string;

  constructor(public viewCtrl: ViewController) {
    console.log('Hello SettingsMenu Component');
    this.text = 'Hello World';
  }

  closeDialog(mapstyle: number) {
    console.log("close dialog...");
    this.viewCtrl.dismiss(mapstyle);
  }
}
