import { NgModule } from '@angular/core';
import { IonicPageModule } from 'ionic-angular';
import { MapPage } from './map';
import { GuiUtilComponent } from '../../components/gui-util/gui-util';
import { IssueHandlerPageModule } from '../issue-handler/issue-handler.module';
import { ComponentsModule } from '../../components/components.module';
import { ProfilePageModule } from '../profile/profile.module';
import { LoginPageModule } from '../login/login.module';
import { AppInfoPageModule } from '../app-info/app-info.module';
import { DetailPageModule } from '../detail/detail.module';
import { SummaryPageModule } from '../summary/summary.module';
import { IssueManager } from './issue-manager';

@NgModule({
  declarations: [
    MapPage,
  ],
  imports: [
    // GuiUtilComponent,
    IonicPageModule.forChild(MapPage),
    ComponentsModule,
    IssueHandlerPageModule,
    DetailPageModule,
    SummaryPageModule,
    ProfilePageModule,
    LoginPageModule,
    AppInfoPageModule
  ]
})
export class MapPageModule {}
